<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:output method="html" indent="no" />

	<xsl:strip-space elements="*" />

	<xsl:template match="signinfo">
		<xsl:text>ResContext.signInfo = {</xsl:text>
		<xsl:call-template name="newline" />
		<xsl:apply-templates select="sign" />
		<xsl:text>};</xsl:text>
	</xsl:template>

	<xsl:template match="sign">
		<xsl:value-of select="@name" />
		<xsl:text>:'</xsl:text>
		<xsl:element name="canvas">
			<xsl:attribute name="class">res</xsl:attribute>
			<xsl:value-of select="@name" />
		</xsl:element>
		<xsl:text> </xsl:text>
		<xsl:value-of select="@name" />
		<xsl:text>: </xsl:text>
		<xsl:apply-templates select="descr" />
		<xsl:apply-templates select="info" />
		<xsl:text>'</xsl:text>
		<xsl:if test="position() != last()">
			<xsl:text>,</xsl:text>
		</xsl:if>
		<xsl:call-template name="newline" />
	</xsl:template>
	
	<xsl:template match="descr">
		<xsl:apply-templates />
		<xsl:text>.</xsl:text>
	</xsl:template>

	<xsl:template match="info">
		<xsl:element name="ul">
			<xsl:apply-templates />
		</xsl:element>
	</xsl:template>

	<xsl:template match="p">
		<xsl:element name="li">
			<xsl:apply-templates />
		</xsl:element>
	</xsl:template>

	<xsl:template match="hi">
		<xsl:element name="canvas">
			<xsl:attribute name="class">res</xsl:attribute>
			<xsl:value-of select="." />
		</xsl:element>
	</xsl:template>

	<xsl:template match="al">
		<xsl:element name="span">
			<xsl:attribute name="class">egytransl</xsl:attribute>
			<xsl:value-of select="." />
		</xsl:element>
	</xsl:template>

	<xsl:template match="tr">
		<xsl:text>"</xsl:text>
		<xsl:apply-templates />
		<xsl:text>"</xsl:text>
	</xsl:template>

	<xsl:template match="text()">
		<xsl:variable name="escaped">
			<xsl:call-template name="string-replace-all">
				<xsl:with-param name="text" select="." />
				<xsl:with-param name="replace">'</xsl:with-param>
				<xsl:with-param name="by" select="concat('&amp;', 'apos;')" />
			</xsl:call-template>
		</xsl:variable>
		<xsl:call-template name="string-replace-all">
			<xsl:with-param name="text" select="$escaped" />
			<xsl:with-param name="replace" select="'&#xA;'" />
			<xsl:with-param name="by" select="' '" />
		</xsl:call-template>
	</xsl:template>

<!-- Auxiliary -->

    <xsl:template name="newline">
        <xsl:text>
</xsl:text>
    </xsl:template>

 <xsl:template name="string-replace-all">
    <xsl:param name="text" />
    <xsl:param name="replace" />
    <xsl:param name="by" />
    <xsl:choose>
      <xsl:when test="contains($text, $replace)">
        <xsl:value-of select="substring-before($text,$replace)" />
        <xsl:value-of select="$by" disable-output-escaping="yes"/>
        <xsl:call-template name="string-replace-all">
          <xsl:with-param name="text" select="substring-after($text,$replace)" />
          <xsl:with-param name="replace" select="$replace" />
          <xsl:with-param name="by" select="$by" />
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$text" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

</xsl:stylesheet>
