#!/bin/bash

# Data and instructions for making hieroglyphic 
# are generated by Latex compilation.

# This script needs to be rerun whenever new images have been
# generated.

# Where are auxiliary graphics stored.
graphics_dir=restex-graphics

# Make sure there is a directory for the graphics.
mkdir -p $graphics_dir

# Compile Latex. 
if [[ "$1" == "" ]];
then
    echo "requires argument"
    exit 1
else
    pdflatex $1
fi

# Make hieroglyphic, out of restex.txt.
if [[ -f "restex.txt" ]];
then
    eval "./makelazy.sh restex.txt"
else
    echo "cannot find restex.txt"
    exit 1
fi

# Convert the generated eps files to pdf.
shopt -s nullglob
for filename in $graphics_dir/restex-*.eps;
do
    echo "converting $filename"
    epstopdf $filename;
    rm $filename;
done

exit 0
