<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:output method="xml" />

    <xsl:template match="signlist">
        <xsl:call-template name="newline" />
        <normalization>
            <xsl:call-template name="newline" />
            <xsl:apply-templates select="sign" />
        </normalization>
    </xsl:template>

    <xsl:template match="sign">
        <xsl:variable name="from" select="@id" />
        <xsl:for-each select="combine|insert|mirror|omit|rotate|scale|stack">
	    <xsl:if test="@status!='confirmed'">
		<transform>
		    <xsl:attribute name="from">
			<xsl:value-of select="$from" />
		    </xsl:attribute>
		    <xsl:attribute name="to">
			<xsl:for-each select="text()">
			    <xsl:value-of select="normalize-space(.)"/>
			</xsl:for-each>
		    </xsl:attribute>
		</transform>
		<xsl:call-template name="newline" />
	    </xsl:if>
        </xsl:for-each>
    </xsl:template>

<!-- Auxiliary -->

    <xsl:template name="newline">
        <xsl:text>
</xsl:text>
    </xsl:template>

</xsl:stylesheet>
