<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>

<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:datetime="http://exslt.org/dates-and-times">

	<xsl:import href="transform2html.xsl" />

	<xsl:template match="signlist">
		<html>
		<head>
			<title>Sign list: hieratic</title>
			<xsl:call-template name="style" />
		</head>
		<body>
			<xsl:call-template name="font-hack" />
			<a href="index.html"><img src="uparr.jpg" alt="" />
					<b>Sign list</b>
			</a>

			<h1>The 1071 hieroglyphs from Unicode 5.2</h1>
			<h2>Identification of the signs from the Hieratische Paläographie</h2>

			<xsl:for-each select="$hieratic/moeller/p">
				<p> <xsl:apply-templates /> </p>
			</xsl:for-each>

			<table rules="all">
				<tr>
					<th>Moeller</th>
					<th>RES</th>
					<th>Volumes</th>
					<th>Comments</th> 
				</tr>
				<xsl:apply-templates select="$hieratic/moeller/convert" />
			</table>

			<p>
			<i>Last update: <xsl:value-of select="datetime:dateTime()" /></i>
			</p>
		</body>
		</html>
	</xsl:template>

	<xsl:template match="convert">
		<xsl:variable name="from" select="@from" />
		<xsl:variable name="to" select="@to" />
		<xsl:variable name="vol" select="@vol" />
		<tr>
			<th>
				<xsl:if test="not($from=preceding-sibling::convert[1]/@from)">
					<xsl:value-of select="$from" />
				</xsl:if>
			</th>
			<td>
				<xsl:text>&nbsp;</xsl:text>
				<xsl:call-template name="hieroglyphic">
					<xsl:with-param name="node" select="$to" />
				</xsl:call-template>
				<xsl:text>&nbsp;&nbsp;</xsl:text>
				<xsl:value-of select="$to" />
			</td>
			<td>
				<xsl:value-of select="$vol" />
			</td>
			<td>
				<xsl:apply-templates select="p" />
			</td>
		</tr>
	</xsl:template>

</xsl:stylesheet>
