<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>

<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:datetime="http://exslt.org/dates-and-times">

	<xsl:import href="transform2html.xsl" />

	<xsl:template match="signlist">
		<html>
		<head>
		<title>Sign list: appearance and sources</title>
		<xsl:call-template name="style" />
		</head>
		<body>
			<xsl:call-template name="font-hack" />
			<a href="index.html"><img src="uparr.jpg" alt="" /> 
					<b>Sign list</b>
			</a>

			<h1>The 1071 hieroglyphs from Unicode 5.2</h1>
			<h2>Appearance and sources</h2>

			<xsl:for-each select="$description/signlist/p">
				<p> <xsl:apply-templates /> </p>
			</xsl:for-each>
			<xsl:for-each select="$dimensions/signlist/p">
				<p> <xsl:apply-templates /> </p>
			</xsl:for-each>
			<xsl:for-each select="$sources/signlist/p">
				<p> <xsl:apply-templates /> </p>
			</xsl:for-each>

			<table rules="all">
				<tr>
					<th>Sign</th>
					<th>Description</th>
					<!-- <th>Dimensions</th> -->
					<th>Source</th>
					<th>Comments</th>
				</tr>
				<xsl:apply-templates select="sign" />
			</table>

		<p>
		<i>Last update: <xsl:value-of select="datetime:dateTime()" /></i>
		</p>
		</body>
		</html>
	</xsl:template>

	<xsl:template match="sign">
		<xsl:variable name="signid" select="@id" />
		<xsl:variable name="descr"
			select="$description/signlist/sign[@id=$signid]" />
		<xsl:variable name="size"
			select="$dimensions/signlist/sign[@id=$signid]" />
		<xsl:variable name="cite"
			select="$sources/signlist/sign[@id=$signid]" />
		<tr>
			<xsl:attribute name="id">
				<xsl:value-of select="$signid" />
			</xsl:attribute>
			<th>
				<xsl:call-template name="sign-and-id">
					<xsl:with-param name="signid" select="$signid" />
				</xsl:call-template>
			</th>
			<td>
				<xsl:choose>
					<xsl:when test="$descr/descr/node()">
						<xsl:apply-templates select="$descr/descr/node()" />
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>&nbsp;...</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</td>
			<!--
			<td>
				<xsl:call-template name="length">
					<xsl:with-param name="node" select="$size/h" />
					<xsl:with-param name="dimension" select="'h'" />
				</xsl:call-template>
				<xsl:if test="not($size/h='')">; </xsl:if>
				<xsl:call-template name="length">
					<xsl:with-param name="node" select="$size/w" />
					<xsl:with-param name="dimension" select="'w'" />
				</xsl:call-template>
			</td>
			-->
			<td>
				<xsl:call-template name="cite-list">
					<xsl:with-param name="list" select="$cite" />
				</xsl:call-template>
			</td>
			<td>
				<xsl:for-each select="$descr/p">
					<p> <xsl:apply-templates /> </p>
				</xsl:for-each>
				<xsl:for-each select="$size/p">
					<p> <xsl:apply-templates /> </p>
				</xsl:for-each>
				<xsl:for-each select="$cite/p">
					<p> <xsl:apply-templates /> </p>
				</xsl:for-each>
			</td>
		</tr>
	</xsl:template>

</xsl:stylesheet>
