<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>

<xsl:stylesheet version="1.0"
			xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
			xmlns:datetime="http://exslt.org/dates-and-times">

	<xsl:import href="transform2html.xsl" />

	<xsl:template match="signlist">
		<html>
		<head>
			<title>Sign list: functions and meanings</title>
			<xsl:call-template name="style" />
		</head>
		<body>
			<xsl:call-template name="font-hack" />
			<a href="index.html"><img src="uparr.jpg" alt="" /> 
				 <b>Sign list</b>
			</a>

			<h1>The 1071 hieroglyphs from Unicode 5.2</h1>
			<h2>Functions and meanings</h2>

			<xsl:for-each select="$use/signlist/p">
				 <p> <xsl:apply-templates /> </p>
			</xsl:for-each>

			<table rules="all">
				 <tr>
					<th>Sign</th>
					<th>Readings</th>
					<th>Comments</th>
				 </tr>
				 <xsl:apply-templates select="sign" />
			</table>

			<p>
			<i>Last update: <xsl:value-of select="datetime:dateTime()" /></i>
			</p>
		</body>
		</html>
	</xsl:template>

	<xsl:template match="sign">
		<xsl:variable name="signid" select="@id" />
			<xsl:variable name="readings"
				select="$use/signlist/sign[@id=$signid]" />
			<tr>
				<xsl:attribute name="id">
					<xsl:value-of select="$signid" />
				</xsl:attribute>
			<th>
				<xsl:call-template name="sign-and-id">
					<xsl:with-param name="signid" select="$signid" />
				</xsl:call-template>
			</th>
			<td>
				<xsl:for-each select="$readings/*[name()!='p']">
					<p> <xsl:apply-templates select="." /> </p>
				</xsl:for-each>
				<xsl:call-template name="listcites">
					<xsl:with-param name="readings" select="$readings" />
				</xsl:call-template>
			</td>
			<td>
				<xsl:for-each select="$readings/p">
					<p> <xsl:apply-templates /> </p>
				</xsl:for-each>
			</td>
		</tr>
	</xsl:template>

</xsl:stylesheet>
