<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>

<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:datetime="http://exslt.org/dates-and-times">

	<xsl:import href="transform2html.xsl" />

	<xsl:template match="signlist">
		<html>
		<head>
			<title>Sign list: mapping to TSL</title>
			<xsl:call-template name="style" />
		</head>
		<body>
			<xsl:call-template name="font-hack" />
			<a href="index.html"><img src="uparr.jpg" alt="" />
				<b>Sign list</b>
			</a>

			<h1>The 1071 hieroglyphs from Unicode 5.2</h1>
			<h2>Mapping to IDs from the Thot Sign List</h2>

			<xsl:for-each select="$tsl/signlist/p">
				<p> <xsl:apply-templates /> </p>
			</xsl:for-each>

			<table rules="all">
				<tr>
					<th>Sign</th>
					<th>TSL</th>
					<th>status</th>
					<th>comments</th>
				</tr>
				<xsl:apply-templates select="$tsl/signlist/sign" />
			</table>

			<p>
			<i>Last update: <xsl:value-of select="datetime:dateTime()" /></i>
			</p>
		</body>
		</html>
	</xsl:template>

	<xsl:template match="sign">
		<xsl:variable name="signid" select="@id" />
		<xsl:variable name="sign" select="@tslsign" />
		<xsl:variable name="class" select="@tslclass" />
		<xsl:variable name="status" select="@status" />
		<xsl:variable name="comments" select="p" />
		<tr>
			<xsl:attribute name="id">
				<xsl:value-of select="$signid" />
			</xsl:attribute>
			<th>
				<xsl:call-template name="sign-and-formal">
					<xsl:with-param name="signid" select="$signid" />
				</xsl:call-template>
			</th>
			<td>
				<xsl:if test="$sign != ''">
					<a>
						<xsl:attribute 
							name="href">https://thotsignlist.org/mysign?id=<xsl:value-of 
							select="$sign" /></xsl:attribute>
						<xsl:value-of select="$sign" />
						<xsl:if test="$class != ''">_<xsl:value-of 
							select="$class" /></xsl:if>
					</a>
				</xsl:if>
			</td>
			<td><xsl:value-of select="$status" /></td>
			<td><xsl:apply-templates select="p" /></td>
		</tr>
	</xsl:template>

</xsl:stylesheet>
